Bug 66921 - [50cat] Incorrect path entry with space in library manager
[50cat] Incorrect path entry with space in library manager
Status: RESOLVED WONTFIX
Product: projects
Classification: Unclassified
Component: Libraries
5.x
PC Windows XP
: P3 (vote)
: 5.x
Assigned To: Tomas Zezula
issues@projects
jdk_bug_6351074
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 22:16 UTC by jlaskowski
Modified: 2005-11-16 12:57 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Test Project (8.60 KB, application/x-compressed)
2005-11-15 15:29 UTC, Tomas Zezula
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jlaskowski 2005-10-16 22:16:28 UTC
[ BUILD # : 200510131600 ]
[ JDK VERSION : 1.5.0_05 ]

1/ Tools->Library Manager ->New library...->specify a name
2/ Add JAR/Folder...->specify anything with a space, i.e. ' anything' (without the quotes)

You'll end up with a wrong library entry in red.
Comment 1 Tomas Zezula 2005-11-15 15:28:13 UTC
It's a JDK bug, see the attached project. Romane, can you be so kind and create
the JDK bug report? It is not nice and even not possible to fix it on our side,
I am not able to recognize ' anything' (1 space) from '  anything' (2 spaces)
even by heuristics.
Comment 2 Tomas Zezula 2005-11-15 15:29:55 UTC
Created attachment 26972 [details]
Test Project
Comment 3 Tomas Zezula 2005-11-15 15:32:30 UTC
How to use the test project:
1) Run the project
2) Select the ' anything' from the JFileChooser
3) AssertionError is thrown, the returned File.getName() does not contain ' '
Comment 4 Jesse Glick 2005-11-15 18:29:36 UTC
Should not be closed until JDK bug is filed and jdk_bug_* in status whiteboard,
IMHO.
Comment 5 Milan Kubec 2005-11-16 12:50:03 UTC
Issue #6351074 is filed against JDK.
Comment 6 Tomas Zezula 2005-11-16 12:57:29 UTC
Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo